> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織のクラウドプロバイダー内のリージョンにおけるプライベート エンドポイント設定を取得

> 非推奨です。更新後の手順については、[documentation](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list) を参照してください。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/privateEndpointConfig
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/privateEndpointConfig:
    get:
      tags:
        - Organization
      summary: 組織のクラウドプロバイダー内のリージョンにおけるプライベート エンドポイント設定を取得
      description: >-
        非推奨です。更新後の手順については、[documentation](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)
        を参照してください。
      parameters:
        - description: 要求された組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: クラウドプロバイダー識別子。aws、gcp、azure のいずれかです。
          in: query
          name: cloud_provider
          required: true
          schema:
            type: string
        - description: 各クラウドプロバイダー内のリージョン識別子。
          in: query
          name: region_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: >-
                      #/components/schemas/OrganizationCloudRegionPrivateEndpointConfig
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功レスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと判断される何らかの理由により、サーバーがリクエストを処理できない、または処理しません。
      deprecated: true
components:
  schemas:
    OrganizationCloudRegionPrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            AWS（Service Name）または GCP（Target Service）resource を使用して VPC 内に作成した
            interface endpoint の一意の識別子
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````